<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.bitset.search.tree.Node
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.bitset.search.tree.Node";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/bitset/search/tree/class-use/Node.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Node.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.bitset.search.tree.Node</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.bitset.search.tree"><B>ch.javasoft.bitset.search.tree</B></A></TD>
<TD>The <tt>bitset.search.tree</tt> package contains classes and interfaces 
implementing subset and superset searching with bit pattern trees.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.bitset.search.tree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A> in <A HREF="../../../../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A> that implement <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/InterNode.html" title="class in ch.javasoft.bitset.search.tree">InterNode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>InterNode</code> contains a left and right subtree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/LeafNode.html" title="class in ch.javasoft.bitset.search.tree">LeafNode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>LeafNode</code> contains exactly one bit set</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A> declared as <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>Node.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html#EMPTY">EMPTY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An empty node</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A> that return <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>LeafNode.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#add(ch.javasoft.bitset.IBitSet, int)">add</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set,
       int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>Node.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html#add(ch.javasoft.bitset.IBitSet, int)">add</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set,
       int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given set to the tree and returns the new root node of the tree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>InterNode.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/InterNode.html#add(ch.javasoft.bitset.IBitSet, int)">add</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set,
       int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>LeafNode.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/LeafNode.html#remove(ch.javasoft.bitset.IBitSet)">remove</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>Node.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html#remove(ch.javasoft.bitset.IBitSet)">remove</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the specified set from the tree and returns the new root node of 
 the tree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></CODE></FONT></TD>
<TD><CODE><B>InterNode.</B><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/InterNode.html#remove(ch.javasoft.bitset.IBitSet)">remove</A></B>(<A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A> with parameters of type <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/bitset/search/tree/InterNode.html#InterNode(int, ch.javasoft.bitset.search.tree.Node, ch.javasoft.bitset.search.tree.Node, ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">InterNode</A></B>(int&nbsp;bit,
                   <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A>&nbsp;left,
                   <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree">Node</A>&nbsp;right,
                   <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;union,
                   <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;inter)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/bitset/search/tree/Node.html" title="interface in ch.javasoft.bitset.search.tree"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/bitset/search/tree/class-use/Node.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Node.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
